services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    KimaiPlugin\TaskManagementBundle\:
        resource: '../../*'
        exclude: '../../{Resources,Migrations}'

    KimaiPlugin\TaskManagementBundle\Controller\:
        resource: '../../Controller'
        tags: ['controller.service_arguments']

    KimaiPlugin\TaskManagementBundle\Repository\TaskRepository:
        class:     Doctrine\ORM\EntityRepository
        factory:   ['@doctrine.orm.entity_manager', getRepository]
        arguments: ['KimaiPlugin\TaskManagementBundle\Entity\Task']
